put
https://{youraccountname}.api-us1.com/api/3/fields/
Updates a custom field definition by its field id. Only the properties present in the request are changed. Options cannot be managed here: options and relations keys in the payload are silently ignored. Manage options with the fieldOptions endpoints and list relationships with the fieldRels endpoints. 404 if no field has this id; 422 if the new title is already used by another field.
{
"field": {
"type": "textarea",
"title": "Title",
"descript": "Field description",
"perstag": "Personalized Tag",
"defval": "Defaut Value",
"show_in_list": 1,
"rows": 2,
"cols": 2,
"visible": 1,
"service": "google",
"ordernum": 3
}
}{
"field": {
"title": "Title",
"descript": "Field description",
"type": "textarea",
"isrequired": 0,
"perstag": "PERSONALIZEDTAG",
"defval": "Defaut Value",
"show_in_list": 1,
"rows": 2,
"cols": 2,
"visible": 1,
"service": "google",
"ordernum": 3,
"cdate": "2018-09-25T16:06:08-05:00",
"udate": "2018-09-29T18:23:20-05:00",
"links": {
"options": "https://:account.api-us1.com/api/:version/fields/3/options",
"relations": "https://:account.api-us1.com/api/:version/fields/3/relations"
},
"id": "3"
}
}